# {{ ansible_managed }}

[Unit]
Description=CoreMedia {{ content_server }} - {{ application_version }}
After=syslog.target network.target

# ConditionFileNotEmpty = {{ application_properties['cap.server.license'] }}

[Service]
Type=simple
User={{ content_server }}
Group=coremedia
WorkingDirectory={{ coremedia_home_directory }}/{{ content_server }}

UMask=0002
SyslogIdentifier="{{ content_server }}"

EnvironmentFile=-/etc/coremedia/{{ content_server }}.conf

ExecStartPre=/bin/bash -l -c 'echo "{{ java_home }}/bin/java \
  ${SPRING_BOOT_MEMORY} \
  ${SPRING_BOOT_COREM_HOME} \
  ${SPRING_BOOT_LOGGING} \
  ${SPRING_BOOT_NETWORK} \
  ${SPRING_BOOT_OOM} \
  ${SPRING_BOOT_JMXREMOTE} \
  ${RMI_SERVER_NAME} \
  ${SPRING_BOOT_OPTS} \
  -jar {{ coremedia_home_directory }}/{{ content_server }}/{{ content_server }}.jar" > /tmp/systemd_{{ content_server}}.debug'

ExecStart={{ java_home }}/bin/java $SPRING_BOOT_MEMORY $SPRING_BOOT_COREM_HOME $SPRING_BOOT_LOGGING $SPRING_BOOT_NETWORK $SPRING_BOOT_OOM $SPRING_BOOT_JMXREMOTE $RMI_SERVER_NAME $SPRING_BOOT_OPTS -jar {{ coremedia_home_directory }}/{{ content_server }}/{{ content_server }}.jar

ExecStartPre={{ coremedia_home_directory }}/{{ content_server }}/bin/pre-start-check.sh
# ExecStartPost={{ coremedia_home_directory }}/{{ content_server }}/bin/post-start-check.sh

[Install]
WantedBy=multi-user.target
